use alloc::{vec, vec::Vec, collections::BTreeMap};

use spin::{Lazy, Mutex};

use crate::handle::Handle;

pub struct  Object{
    pub xml: xml::XMLElement
}
pub enum HandleTarget{
    Object(Object)
}

pub type HostTargets = Vec<Option<HandleTarget>>;

pub const TARGETS: Lazy<Mutex<HostTargets>> = Lazy::new(|| {
    let mut obj = vec![];
    Mutex::new(obj)
});
